print.hpp File Reference
`#include <sstream>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Float
| Floating point numbers.
namespace | Gecode::Float::Linear
| Linear propagators

## Functions

template<class Char, class Traits, class View>
std::basic_ostream< Char, Traits > & | Gecode::Float::print_view (std::basic_ostream< Char, Traits > &os, const View &x)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | Gecode::Float::operator<< (std::basic_ostream< Char, Traits > &os, const FloatView &x)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | Gecode::Float::operator<< (std::basic_ostream< Char, Traits > &os, const MinusView &x)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | Gecode::Float::operator<< (std::basic_ostream< Char, Traits > &os, const OffsetView &x)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | Gecode::Float::operator<< (std::basic_ostream< Char, Traits > &os, const ScaleView &x)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | Gecode::Float::operator<< (std::basic_ostream< Char, Traits > &os, const Linear::NoView &)